Agora RTC Objective-C API Reference Refactor

Properties
AgoraDirectCdnStreamingMediaOptions Class Reference

Inherits <NSObject>.

## Properties
BOOL | publishCameraTrack
BOOL | publishMicrophoneTrack
BOOL | publishCustomAudioTrack
BOOL | publishCustomVideoTrack
BOOL | publishMediaPlayerAudioTrack
NSInteger | publishMediaPlayerId
NSInteger | customVideoTrackId

## Detailed Description

Deprecated:
  v4.6.0.

## Property Documentation

## ◆ publishCameraTrack

- (BOOL) publishCameraTrack
| read write nonatomic assign

Sets whether to publish the video captured by the camera:

- `YES`: Publish the video captured by the camera.
- `NO`: (Default) Do not publish the video captured by the camera.

## ◆ publishMicrophoneTrack

- (BOOL) publishMicrophoneTrack
| read write nonatomic assign

Sets whether to publish the audio captured by the microphone:

- `YES`: Publish the audio captured by the microphone.
- `NO`: (Default) Do not publish the audio captured by the microphone.

## ◆ publishCustomAudioTrack

- (BOOL) publishCustomAudioTrack
| read write nonatomic assign

Sets whether to publish the captured audio from a custom source:

- `YES`: Publish the captured audio from a custom source.
- `NO`: (Default) Do not publish the captured audio from the custom source.

## ◆ publishCustomVideoTrack

- (BOOL) publishCustomVideoTrack
| read write nonatomic assign

Sets whether to publish the captured video from a custom source:

- `YES`: Publish the captured video from a custom source.
- `NO`: (Default) Do not publish the captured video from the custom source.

## ◆ publishMediaPlayerAudioTrack

- (BOOL) publishMediaPlayerAudioTrack
| read write nonatomic assign

Determines whether to publish the audio track of media player source.

- `YES`: Publish the audio track of media player source.
- `NO`: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

- (NSInteger) publishMediaPlayerId
| read write nonatomic assign

Determines which media player source should be published. This parameter get from function getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

- (NSInteger) customVideoTrackId
| read write nonatomic assign

The video track ID returned by calling the `createCustomVideoTrack` method. The default value is 0.